<?php
	session_start();
	include('database.php');
	DB_connexion(); 
	
	ini_set( 'display_errors', '0');
	error_reporting( 0 );
	
	/*if(!isset($_SESSION['logged']) )
	{		header ('Location: interdiction.php');
	}
	
	if($_SESSION['logged']== "no")
	{
		header ('Location: interdiction.php');
	}*/
	
	
	if(!empty($_POST) )
	{
		$_SESSION['sauvegarde_formulaire'] = $_POST ;
     
		$page_actuelle = $_SERVER['PHP_SELF'] ;
		if(!empty($_SERVER['QUERY_STRING']))
		{
			$page_actuelle .= '?' . $_SERVER['QUERY_STRING'] ;
		}
     
		header('Location: ' . $page_actuelle);
		exit;
	}
	
	if(isset($_SESSION['sauvegarde_formulaire']))
	{
		$_POST = $_SESSION['sauvegarde_formulaire'] ;
		unset($_SESSION['sauvegarde_formulaire']);		
	}	
	
	
	if( isset($_POST['valide_form']) && $_POST['valide_form'] == "ok" )
	  {
			//header ('Location: salut.php');
			$_SESSION['message'] = "ok";
			
			echo $_POST['selection_score'];
			
			switch ($_POST['selection_score'])
			{
				case "J1 gagne":
					$elo_J1 = $_SESSION['$J1_gagne_score'] ;
					$elo_J2 = $_SESSION['$J2_perd_score'] ;
				break;
				
				case "J1 perd":
					$elo_J1 = $_SESSION['$J1_perd_score'] ;
					$elo_J2 = $_SESSION['$J2_gagne_score'] ;
				break;
				
				case "J2 gagne":
					$elo_J1 = $_SESSION['$J1_perd_score'] ;
					$elo_J2 = $_SESSION['$J2_gagne_score'] ;
				break;
				
				case "J2 perd":
					$elo_J1 = $_SESSION['$J1_gagne_score'] ;
					$elo_J2 = $_SESSION['$J2_perd_score'] ;
				break;
				
				case "Match nul":
					$elo_J1 = $_SESSION['$J1_match_nul'] ;
					$elo_J2 = $_SESSION['$J2_match_nul'] ;
				break;

				default:
					echo "erreur dans le traitement";
			}
		
			echo '<br/>';
			echo $elo_J1;
			echo '<br/>';
			echo $elo_J2;
			
		
			$sql = "SELECT * FROM joueurs WHERE nom = '".$_SESSION['$J1_nom']."' ";
			echo $sql;
			$result = mysql_query($sql);		
			$data = mysql_fetch_assoc($result);
			$id = $data['id'];
			echo $id;			
			$sql = "UPDATE joueurs SET score = '".$elo_J1."'	WHERE id = '$id' " ;
			echo $sql;
			//$requete = mysql_query($sql);
			
			$sql = "SELECT * FROM joueurs WHERE nom = '".$_SESSION['$J2_nom']."' ";
			echo $sql;
			$result = mysql_query($sql);		
			$data = mysql_fetch_assoc($result);
			$id = $data['id'];
			echo $id;			
			$sql = "UPDATE joueurs SET score = '".$elo_J2."'	WHERE id = '$id' " ;
			echo $sql;
			//$requete = mysql_query($sql);
			
			$heure = date("H:i");
			
			$J1_nom = $_SESSION['$J1_nom'];
			$J2_nom = $_SESSION['$J2_nom'];
			$resultat_partie = $_POST['selection_score'];
			
			$sql = "INSERT INTO partie( id, joueur1, joueur2, resultat_partie, score_joueur1, score_joueur2 ,date_partie, heure_partie) 
					VALUES('', '$J1_nom', '$J2_nom', '$resultat_partie' , '$elo_J1' , '$elo_J2'  , NOW(), '$heure' )"; 
			echo $sql;		
			$requete = mysql_query($sql);
			
			//
			/*CREATE TABLE IF NOT EXISTS partie (
		id tinyint(4) unsigned NOT NULL AUTO_INCREMENT,
		joueur1 varchar(30) NOT NULL DEFAULT '',
		joueur2 varchar(30) NOT NULL DEFAULT '',
		resultat_partie varchar(30) NOT NULL DEFAULT '',
		score_joueur1 varchar(30) NOT NULL DEFAULT '',
		score_joueur2 varchar(30) NOT NULL DEFAULT '',
		date_partie date NOT NULL DEFAULT '0000-00-00',
		heure_partie time NOT NULL DEFAULT '00:00:00',
		PRIMARY KEY (id)
		)*/
	  }
	
?>
  
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr" dir="ltr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="Description" content="Site perso,cours,ouvrages" />
<meta name="Keywords" content="WEBSITE perso " />
<meta name="Distribution" content="Global" />
<meta name="Robots" content="" />
<meta http-equiv="Content-Language" content="fr" />
<meta name="rating" content="general" />
<meta name="author" content="Patrice DELPY" />
<meta name="copyright" content="Copyright 2013" />
<meta name="generator" content="Patoche" />
<title>Patoche WEBSITE - 2013 - Template du site - en cours de développemment ...</title>

<!---------------------------------------------------------->	
<?php
		include('include_css_template_commun.php');
		include('include_css.php');
		include('css_tools_skill.php');
		include('include_javascript.php');

?> 

<style type="text/css">
#bloc_filtre { float: left;
					width: 831px; 
					padding: 50px 50px 25px 50px;
					}	
					
#navigation_tournoi{
					float: left;
					width: 885px;
					padding: 10px 0px 0px 10px;
		}

label
{   
	display: block;
	width: 150px;
	float: left;
	//padding: 28px;
}

select
{
width: 100px;
}


		
</style>

<script type="text/javascript">
function call_update()
{
	 ajax_routine(); 
	 setTimeout("call_update()", 1000); //appelle la fonction 1 fois par  seconde
}
		
function getXhr()
{
                     var xhr = null; 
					 if(window.XMLHttpRequest) // Firefox et autres
				         xhr = new XMLHttpRequest(); 
				     else if(window.ActiveXObject)
					      { // Internet Explorer 
				   
							try { xhr = new ActiveXObject("Msxml2.XMLHTTP");
								} 
							catch (e) 
								{ xhr = new ActiveXObject("Microsoft.XMLHTTP");
								}
						  }
					 else { // XMLHttpRequest non supporté par le navigateur 
							alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest..."); 
							xhr = false; 
						  } 
                                return xhr;
}
			
function mise_jour_joueur2()
{
				alert("TRACE");
				var xhr = getXhr();
				document.getElementById("div_joueur2").style.visibility='visible';
				document.getElementById("div_filtre").style.visibility='hidden';
				
				xhr.onreadystatechange = function(){
					// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
					if(xhr.readyState == 4 && xhr.status == 200){
						leselect = xhr.responseText;
						// On se sert de innerHTML pour rajouter les options a la liste
						document.getElementById('div_joueur2').innerHTML = leselect;
					}
				}

				// Ici on va voir comment faire du post
				xhr.open("POST","ajax_mise_jour_joueur2.php",true);
				// ne pas oublier ça pour le post
				xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				// ne pas oublier de poster les arguments
				
				sel = document.getElementById('J1');
				joueur = sel.options[sel.selectedIndex].value;
				xhr.send("joueur="+joueur);
}

function filtre()
{
	
	var J1 = document.getElementById("J1").value;
	var J2 = document.getElementById("J2").value;
		
	var xhr = getXhr();
				
	xhr.onreadystatechange = function()
	{
		// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
		if(xhr.readyState == 4 && xhr.status == 200)
		{
			retour = xhr.responseText;
			document.getElementById('affiche_resultat').innerHTML = retour;
		}
	}

	// Ici on va voir comment faire du post
	xhr.open("POST","new_filtre.php",true);
	// ne pas oublier ça pour le post
	xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	// ne pas oublier de poster les arguments
				
	//xhr.send("J1="+J1+"&J2="+J2+"&choix1="+choice1+"&choix2="+choice2+"&choix3="+choice3+"&resultat="+resultat);
				
	xhr.send("J1="+J1+"&J2="+J2);
			
}

</script>

<!---------------------------------------------------------->	
</head>

<body>
<!---------------------------------------------------------->	
	<div class="main"> <!-- main -->
<!---------------------------------------------------------->	

          <div class="header">
                <div class="balise_titre">Patoche</div>
                <div class="balise_citation">
                &quot;Etre conscient que l'on est ignorant est un grand pas vers le savoir&quot;
                </div>
          </div> 
 
          <div class="banniere"></div>  

<!---------------------------------------------------------->
<?php
/*	include("include_barre_login.php");
	echo '<div id="box_icon">';
	include("debug_connexion_membre.php");
	echo '</div>';
	include("include_menu.php");*/
	
	echo '<div id="box_infos">';
			include("include_menu.php");
			
			echo '<div id="box_icon2">';
			include("connexion_membre.php");
			echo	'</div>';
			
			echo '<div id="box_icon3">';
			include("include_barre_login.php");
			echo	'</div>';

	echo	'</div>';
	$_SESSION['page_active'] = basename (__FILE__ );
?>
		

<!---------------------------------------------------------->	
            <div class="contenu"> <!-- contenu -->
<!---------------------------------------------------------->	
	
			<div class="barre_vide"></div>
			
			<div id="navigation_tournoi">
				<ul id="menu_horiz">
				<li class="tournoi_joueur_tag"><a href="ajouter_joueur.php" title="aller à la section">Nouveau</a></li>
				<li class="tournoi_partie_tag"><a href="partie.php" title="aller à la section">Partie</a></li>
				<li class="tournoi_classement_tag"><a href="classement.php" title="aller à la section">classement</a></li>
				<li class="tournoi_liste_joueurs_tag"><a href="liste_joueurs.php" title="aller à la section">Joueurs</a></li>
				<li class="tournoi_stats_tag_selected"><a href="selection_filtre.php" title="aller à la section">stats</a></li>
				<li class="tournoi_securite_tag"><a href="admin.php" title="aller à la section">Admin</a></li>
				</ul>
			</div>
			
			<div id="bloc_filtre">
	
			<form method="post" id="form_selection_filtre" action="selection_filtre.php" > <!-- onsubmit="return valider_inscription(this)" -->

			<input type="hidden" name="valide_form" id="valide_form" value="" />
			
			<fieldset style="width: 600px">
				<legend>Paramétre du filtre </legend>
				
				<p>
				<label for="nom">Joueur1 :</label>
				<select name='J1' id='J1' onchange='mise_jour_joueur2()'>
<?php
						$sql = "SELECT * FROM classement";
						$results = mysql_query($sql);
						while($val = mysql_fetch_array($results)) 
						{
							echo "<option>".$val["joueur"]."</option>\n";
						}
?>
				</select>
				</p>
				
				<div id="div_joueur2" style="visibility: hidden;"  >  
				</div> 
				
				
				<div id="div_filtre" style="visibility: hidden;"  >  
				</div>
				
			<div id="affiche_resultat">
			</div>		
			
			</fieldset>
			</form>

			
 
			</div>		

			<br/>
			<br/>
			<br/>
			<br/>
			<br/>

<!---------------------------------------------------------->	
<?php			
    include('include_pied_page.php');
	include('include_publicite.php');
?>
<!---------------------------------------------------------->	
			</div>  <!-- contenu -->
<!---------------------------------------------------------->	
	</div>   <!-- main -->
<!---------------------------------------------------------->	

	<script type="text/javascript">
		call_update()
	</script>

</body>
</html>


